uk.gov.hmrc.objectstore.client.play

# PlayObjectStoreClient

###
Related Doc: package play

#### class PlayObjectStoreClient extends ObjectStoreClient[Future, Request, Response, Source[ByteString, NotUsed]]

Annotations
  @Singleton()

Linear Supertypes
ObjectStoreClient[Future, Request, Response, Source[ByteString, NotUsed]], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PlayObjectStoreClient
2. ObjectStoreClient
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new PlayObjectStoreClient(httpClient: PlayWSHttpClient, config: ObjectStoreClientConfig)(implicit ec: ExecutionContext)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def deleteObject(location: String): Future[Unit]

   Definition Classes
     ObjectStoreClient

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def getObject[CONTENT](location: String)(implicit cr: ObjectStoreContentRead[Future, Source[ByteString, NotUsed], CONTENT]): Future[Option[Object[CONTENT]]]

    Definition Classes
      ObjectStoreClient

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### def listObjects(location: String): Future[ObjectListing]

    Definition Classes
      ObjectStoreClient

15. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### final def notify(): Unit

    Definition Classes
      AnyRef

17. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

18. #### def putObject[CONTENT](location: String, content: CONTENT)(implicit w: ObjectStoreContentWrite[Future, CONTENT, Request]): Future[Unit]

    Definition Classes
      ObjectStoreClient

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ObjectStoreClient[Future, Request, Response, Source[ByteString, NotUsed]]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped